Fork a stream Experimental; added in 9.1.0

POST /api/streams/{name}/_fork

Spaces method and path for this operation:

post /s/{space_id}/api/streams/{name}/_fork

Refer to Spaces for more information.

Forks a wired stream and creates a child stream

[Required authorization] Route required privileges: manage_stream.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • name string Required

    The name of the parent stream to fork from.

    Maximum length is 200.

application/json

Body